Domains
Replace external payment redirect hosts
Replaces the authenticated company’s allowlist after normalizing and validating every hostname.
PUT
/
api
/
settings
/
payment_redirect_hosts
Replace external payment redirect hosts
curl --request PUT \
--url https://api.fluid.app/api/settings/payment_redirect_hosts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_redirect_hosts": [
"pay.dundermifflin.com",
"checkout.piedpiper.com"
]
}
'import requests
url = "https://api.fluid.app/api/settings/payment_redirect_hosts"
payload = { "payment_redirect_hosts": ["pay.dundermifflin.com", "checkout.piedpiper.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payment_redirect_hosts: ['pay.dundermifflin.com', 'checkout.piedpiper.com']})
};
fetch('https://api.fluid.app/api/settings/payment_redirect_hosts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_redirect_hosts": [
"pay.dundermifflin.com",
"checkout.piedpiper.com"
],
"status": 200,
"meta": {
"request_id": "f3b8c2d1-6a4e-4f7b-9c1d-2e5a8b7c4d90",
"timestamp": "2026-09-30T14:05:11Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Body
application/json
Exact public hostnames without schemes, ports, paths, or wildcards.
⌘I
Replace external payment redirect hosts
